#ifndef ACL_LOADER_H_INCLUDED
#define ACL_LOADER_H_INCLUDED

#ifdef __cplusplus
extern "C"{
#endif

typedef struct
{
    char* data;
    size_t data_len;
/*    char* sign;
    size_t sign_len;
    char* cert;
    size_t cert_len; */
} acl_t;

typedef struct _plugin_ctx* plugin_ctx;

#define LOADER_PLUGIN_INIT_FUNC_NAME    "loader_plugin_init"
#define LOADER_PLUGIN_DEINIT_FUNC_NAME  "loader_plugin_deinit"
#define LOAD_ACL_FUNC_NAME              "load_acl"

plugin_ctx loader_plugin_init( const char* config_path );
void loader_plugin_deinit( plugin_ctx ctx );

acl_t* load_acl( const plugin_ctx ctx, const char* acl_type );

#ifdef __cplusplus
}
#endif

#endif /* ACL_LOADER_H_INCLUDED */
