#ifndef WG_CONV_UTILS_H_INCLUDED
#define WG_CONV_UTILS_H_INCLUDED

#include <stdlib.h>
#include <stdint.h>
#include <libwebguard-utils/str_t.h>
#include <glib.h>

size_t natozd(const char *buf, size_t len); // digits only

uint32_t utf8_decode(const unsigned char **p, size_t n);
unsigned char* utf8_cpystrn(unsigned char *dst, const unsigned char *src, size_t n, size_t len);
size_t utf8_getstrn(const unsigned char *str, size_t n, size_t len);
size_t utf8_length(const unsigned char *p, size_t n);

/* utils for working with gchar */
int copy_gchar2strt( const gchar* src, str_t* dst );
char* copy_gchar2char( const gchar* src );
static wg_inline size_t gstr_byte_len( const gchar* str )
{
    //char* tmp_end = strchr(src, '\0');
    return strlen((char*) str);
}
#endif // WG_CONV_UTILS_H_INCLUDED
