#ifndef WG_LIMITS_H_INCLUDED
#define WG_LIMITS_H_INCLUDED

#include <libmemcached/memcached.h>

#define MAX_ALLOWED_MEMC_KEY_LEN    MEMCACHED_MAX_KEY
#define MIN_ALLOWED_MEMC_KEY_LEN    1

#define is_allowed_memc_key_len( len ) (len >= MIN_ALLOWED_MEMC_KEY_LEN && len <= MAX_ALLOWED_MEMC_KEY_LEN)

#define is_allowed_tcp_port(port_num) (port_num >= 1024 && port_num < 65536)

#endif // WG_LIMITS_H_INCLUDED
