#ifndef WG_MEMC_KEY_H_INCLUDED
#define WG_MEMC_KEY_H_INCLUDED

#include <stdlib.h>
#include <libmemcached/memcached.h>
#include <libwebguard-utils/str_t.h>

#if (MEMCACHED_MAX_KEY > 8 * 1024)
#error MEMCACHED_MAX_KEY value defined in libmemcached API exceeded the threshold ( 8 KB )
#endif

int build_memcached_key( const str_t* prefix,
                            const char* name, size_t name_len,
                            char* key, size_t key_size, size_t* key_len );

#endif // WG_MEMC_KEY_H_INCLUDED
