#ifndef WG_TYPES_H_INCLUDED
#define WG_TYPES_H_INCLUDED

#include <stdlib.h>

typedef struct wg_memcached_peer
{
	char*   host;
	int     port;
} wg_memcached_peer;

typedef struct wg_range_s
{
    size_t  min;
    size_t  max;
} wg_range;

#define is_in_range( value, range ) ( value >= range.min && value <= range.max )

#define wg_range_null { .min = 0, .max = 0 }


#endif /* WG_TYPES_H_INCLUDED */
