#ifndef WG_GCONF_FILE_H_INCLUDED
#define WG_GCONF_FILE_H_INCLUDED

#include <glib.h>
#include <libwebguard-utils/str_t.h>

/* utils for working with GKeyFile */
int gconf_file_get_strt( GKeyFile* ini_file, const char* section,
                         const char* key, GError** gerror, str_t* conf_field );
char* gconf_file_get_string( GKeyFile* ini_file, const char* section,
                              const char* key, GError** gerror );

#endif // WG_GCONF_FILE_H_INCLUDED
